Beefy Boxes and Bandwidth Generously Provided by pair Networks
The stupid question is the question not asked
 
PerlMonks  

Re: Can't use three part version number for CPAN modules

by adrianh (Chancellor)
on Jan 04, 2006 at 11:37 UTC ( #520851=note: print w/replies, xml ) Need Help??


in reply to Can't use three part version number for CPAN modules

Here's what I got from the PAUSE indexer report. A status of "Falling revision number". The Indexer was somehow converting "0.0.3" to "0.000003", and that being less than "0.01", hence the error.

Code?

Take a look at things like Class::Std do it.

  • Comment on Re: Can't use three part version number for CPAN modules

Replies are listed 'Best First'.
Re^2: Can't use three part version number for CPAN modules
by arc_of_descent (Hermit) on Jan 04, 2006 at 11:48 UTC
      our $VERSION = "0.0.3";

      If you're following TheDamian's advice you'll want to use the version module instead of a plain string. Something like:

      use version; our $VERSION = qv( '0.0.0' );

      and adding version to your modules prerequisites. NOTE: it's important to keep the use version on the same line since many modules grep out the line with $VERSION and eval it to get the version number out.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://520851]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others wandering the Monastery: (5)
As of 2021-01-22 00:44 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    Notices?